# Gimp.Procedure.prototype.new_return_values

    function new_return_values(status: Gimp.PDBStatusType, error: GLib.Error): Gimp.ValueArray {
        // Gjs wrapper for gimp_procedure_new_return_values()
    }

Format the expected return values from procedures.

Since 3.0

status

  the success status of the procedure run.

error

  an optional GLib.Error. This parameter should be set if status is either #GIMP_PDB_EXECUTION_ERROR or #GIMP_PDB_CALLING_ERROR.

Returns

  the expected Gimp.ValueArray as could be returned by a [callback@RunFunc].